# DataExchange
TKSTEP209
StepElement

# StepElement_Volume3dElementDescriptor Class Reference

Representation of STEP entity Volume3dElementDescriptor
.

`#include <StepElement_Volume3dElementDescriptor.hxx>`

Inheritance diagram for StepElement_Volume3dElementDescriptor:

[legend]

## Public Member Functions

Standard_EXPORT | StepElement_Volume3dElementDescriptor ()
| Empty constructor .
Standard_EXPORT void | Init (const StepElement_ElementOrder aElementDescriptor_TopologyOrder, const Handle(TCollection_HAsciiString)&aElementDescriptor_Description, const Handle(StepElement_HArray1OfVolumeElementPurposeMember)&aPurpose, const StepElement_Volume3dElementShape aShape)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepElement_HArray1OfVolumeElementPurposeMember | Purpose () const
| Returns field Purpose .
Standard_EXPORT void | SetPurpose (const Handle(StepElement_HArray1OfVolumeElementPurposeMember)&Purpose)
| Set field Purpose .
Standard_EXPORT StepElement_Volume3dElementShape | Shape () const
| Returns field Shape .
Standard_EXPORT void | SetShape (const StepElement_Volume3dElementShape Shape)
| Set field Shape .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepElement_HArray1OfVolumeElementPurposeMember | thePurpose
StepElement_Volume3dElementShape | theShape

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_Volume3dElementDescriptor::StepElement_Volume3dElementDescriptor | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepElement_Volume3dElementDescriptor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepElement_ElementDescriptor.

Standard_EXPORT void StepElement_Volume3dElementDescriptor::Init | ( | const StepElement_ElementOrder | aElementDescriptor_TopologyOrder,
|  | const Handle(TCollection_HAsciiString)& | aElementDescriptor_Description,
|  | const Handle(StepElement_HArray1OfVolumeElementPurposeMember)& | aPurpose,
|  | const StepElement_Volume3dElementShape | aShape
| ) |

Standard_EXPORT Handle_StepElement_HArray1OfVolumeElementPurposeMember StepElement_Volume3dElementDescriptor::Purpose | ( |  | ) | const

Standard_EXPORT void StepElement_Volume3dElementDescriptor::SetPurpose | ( | const Handle(StepElement_HArray1OfVolumeElementPurposeMember)& | Purpose | ) |

Standard_EXPORT void StepElement_Volume3dElementDescriptor::SetShape | ( | const StepElement_Volume3dElementShape | Shape | ) |

Standard_EXPORT StepElement_Volume3dElementShape StepElement_Volume3dElementDescriptor::Shape | ( |  | ) | const

## Field Documentation

Handle_StepElement_HArray1OfVolumeElementPurposeMember StepElement_Volume3dElementDescriptor::thePurpose `[private]`

StepElement_Volume3dElementShape StepElement_Volume3dElementDescriptor::theShape `[private]`

The documentation for this class was generated from the following file:

- StepElement_Volume3dElementDescriptor.hxx